ObjectARX, AutoCAD. Среда программирования библиотеки C++




Высвечивание Вложенных Блочных Ссылок - часть 2


acutPrintf("\nCannot create object with given parameters.");

delete poly1;

delete poly2;

delete poly3;

return;

}

postToDb(poly1);

postToDb(poly2);

postToDb(poly3);

// Boxes

//

AcDb3dSolid *box1, *box2, *box3;

box1 = new AcDb3dSolid();

box2 = new AcDb3dSolid();

box3 = new AcDb3dSolid();

box1->createBox(2, 2, 2);

box2->createBox(2, 2, 2);

box3->createBox(2, 2, 2);

AcGeMatrix3d mat;

mat(0, 3) = 2; mat(1, 3) = 2;

box1->transformBy(mat);

mat(0, 3) = 7; mat(1, 3) = 2;

box2->transformBy(mat);

mat(0, 3) = 12; mat(1, 3) = 2;

box3->transformBy(mat);

postToDb(box1);

postToDb(box2);

postToDb(box3);

// Inserts

//

// Arguments to BLOCK are:

// blockname,

// insert point,

// select objects,

// empty string for selection complete

// Arguments to INSERT are:

// blockname,

// insertion point,

// xscale,

// yscale,

// rotation angle

//

acedCommand_command(RTSTR, "_globcheck", RTSHORT, 0, RTNONE);

acedCommand(RTSTR, "BLOCK", RTSTR, "blk3", RTSTR, "0,0",

RTSTR, "14,8", RTSTR, "11,1", RTSTR, "",

RTNONE);

acedCommand(RTSTR, "INSERT", RTSTR, "blk3", RTSTR,

"0,0", RTSHORT, 1, RTSHORT, 1, RTSHORT,

0, RTNONE);

acedCommand(RTSTR, "BLOCK", RTSTR, "blk2", RTSTR, "0,0",

RTSTR, "9,8", RTSTR, "6,1", RTSTR, "11,1",

RTSTR, "", RTNONE);

acedCommand(RTSTR, "INSERT", RTSTR, "blk2", RTSTR,

"0,0", RTSHORT, 1, RTSHORT, 1, RTSHORT,

0, RTNONE);

acedCommand(RTSTR, "BLOCK", RTSTR, "blk1", RTSTR, "0,0",

RTSTR, "4,8", RTSTR, "1,1", RTSTR, "6,1",

RTSTR, "", RTNONE);

acedCommand(RTSTR, "INSERT", RTSTR, "blk1", RTSTR,

"0,0", RTSHORT, 1, RTSHORT, 1, RTSHORT,

0, RTNONE);

return;

}

void

hilitInsert()

{

Adesk::Boolean interrupted = Adesk::kFalse;




Содержание  Назад  Вперед